# prevent stripping of binaries
%define __spec_install_post /usr/lib/rpm/brp-compress
%define debug_package %{nil}
%define oraversion 11.2

Summary: oci8 provides access to Oracle databases for PHP scripts
Name: php-oci8
Version: 1.4.5.3
Release: op5.1
License: PHP
Group: op5/system-addons
URL: http://www.op5.se
Source0: %name-%version.tar.gz
Prefix: /opt/monitor
Requires: oracle-instantclient%oraversion-basic >= %oraversion
BuildRequires: oracle-instantclient%oraversion-devel >= %oraversion
%if 0%{?suse_version}
BuildRequires: php53, php53-devel
%else
BuildRequires: php-cli, php-devel
%endif
BuildRoot: %{_tmppath}/%name-%version


%description
php-oci8 allows you to access Oracle Database 11g, 10g, 9i and 8i.
It supports SQL and PL/SQL statements. Basic features include
transaction control, binding of PHP variables to Oracle placeholders
and support for large object (LOB) types and collections. Oracle's
scalability features such as Database Resident Connection Pooling
(DRCP) and result caching are also supported.


%prep
%setup -q

%build
phpize
./configure

make

%install
rm -rf %buildroot
mkdir -p %buildroot%_libdir/php/modules
install -m 755 modules/oci8.so %buildroot%_libdir/php/modules/oci8.so
mkdir -p %buildroot%_sysconfdir/php.d
install -m 644 op5build/oci8.ini %buildroot%_sysconfdir/php.d/oci8.ini

%post
test -f /etc/init.d/httpd && /etc/init.d/httpd restart || :

%files
%defattr(-,root,root)
%_sysconfdir/php.d/oci8.ini
%_libdir/php/modules/oci8.so


%clean
rm -rf %buildroot


%changelog
* Mon Feb  7 2011 Robin Sonefors <robin@op5.com>
- Fix license, don't rely on broken make install.

* Fri Feb  1 2011 Andreas Ericsson <ae@op5.se>
- Initial specfile creation.
